Bug 448670 - Consider relaxing the "filesystem" test
Consider relaxing the "filesystem" test
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 03:26 EDT by Miloslav Trmač
Modified: 2008-06-05 11:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-05 11:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-05-28 03:26:33 EDT
Description of problem:
A) An rwxrwxr-x file is "executable and world/group writable" even if the file
   is owned by a group that has the file's owner as the only member.
   e.g. /var/lib/misc/PolicyKit.reload
B) 'Symbolic link "..." points to a non-existent file" is an error.  Is the
   security risk really that severe?
   Perhaps consider at least whitelisting /lib/modules/*/{source,build} if they
   point to the "correct" locations.

Version-Release number of selected component (if applicable):
sectool-0.7.4-1.i386
Comment 1 Daniel Kopeček 2008-06-02 06:09:56 EDT
A) Changed to two messages. word writable - ERROR, group writable - WARNING.
B) Changed to WARNING.
Comment 2 Daniel Kopeček 2008-06-05 11:20:56 EDT
whitelist is implemented now

Note You need to log in before you can comment on or make changes to this bug.